Forum Rule: Always post complete source code & details to reproduce any issue!
Results 1 to 5 of 5

Thread: Does TeensyDuino work with OSX Monterey?

  1. #1
    Junior Member
    Join Date
    Dec 2021
    Posts
    2

    Does TeensyDuino work with OSX Monterey?

    Is TeensyDuino known to be supported by OsX monterey?

    I just installed it (I've shown a screengrab of the version I downloaded to make sure I got the right one!) - I see the 'are you sure you want to open' box, and then when I click 'yes' - I just get a white blank window that pops up

    I already have version 1.8.13 of the arduino software installed. It also doesn't appear in the list of applications I can give 'full access to files and folders' to, so I assume the install hasn't gotten that far.

    If someone else has gotten it working with Monterey, then I'll assume it's just my set up and keep debugging, but thought I'd check that since Monterey is quite new that someone has gotten it working with this version :-)


    Click image for larger version. 

Name:	teensy.png 
Views:	8 
Size:	142.8 KB 
ID:	27030

  2. #2
    Senior Member+ KurtE's Avatar
    Join Date
    Jan 2014
    Posts
    10,043
    I am pretty sure you want the version above it... I think you grabbed the old version before the MAC code clamped down on security, where now you need to download the whole Teensyduino, which includes Arduino ide...

  3. #3
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    25,536
    Yes, it works fine with MacOS 12.1 Monterey. You need the first file called "Macintosh OS Software (10.10 - 12.x)".

    Click image for larger version. 

Name:	sc.jpg 
Views:	9 
Size:	134.6 KB 
ID:	27031
    Last edited by PaulStoffregen; 12-29-2021 at 07:38 PM. Reason: typo

  4. #4
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    25,536
    That 2nd file called "Macintosh OS-X Installer (10.7 - 10.14)" is meant for older Macintosh. That one will not work on MacOS 12.1 Monterey.

    We have 2 copies on the website so people with very old Macs can still use the software.

    And just to explain a bit further, the one for newer Macs is a complete copy of all the software (explained in the install steps lower on that page). The software for older Macs, and for Linux and Windows, is an installer which adds Teensyduino into a copy of Arduino.

    Apple starting requiring a process called "notarization" with MacOS 10.15 Catalina. The installer approach is no longer possible with Apple notarization. That is why the older software does not work beyond 10.14.

  5. #5
    Junior Member
    Join Date
    Dec 2021
    Posts
    2
    Thanks Very much everyone. All sorted now (I had downloaded the wrong installer )

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •